import { p as proxyCustomElement, H, h, d as Host } from './p-BhqVmlhr.js';

const DgaSecondNavHeaderItem = /*@__PURE__*/ proxyCustomElement(class DgaSecondNavHeaderItem extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    connectedCallback() {
        this.el.childNodes.forEach((item) => {
            const el = item;
            if (el.tagName === 'DGA-ICON'.toLocaleUpperCase() && el.attributes.getNamedItem('slot') === null) {
                el.setAttribute('slot', 'icon');
            }
        });
    }
    render() {
        return (h(Host, { key: 'a85326c31b79ccdebf74482c9dd4e1dbb3647f69' }, h("slot", { key: '4cb233cf04983344e759015607e4eadbb3576a68', name: 'icon' }), h("slot", { key: 'a01ddbac3667222c95ab5e72169875c8fe0094e6', name: 'label' }, this.label)));
    }
    get el() { return this; }
}, [4, "dga-second-nav-header-item", {
        "label": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-second-nav-header-item"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-second-nav-header-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaSecondNavHeaderItem);
            }
            break;
    } });
}

export { DgaSecondNavHeaderItem as D, defineCustomElement as d };
